import request from "@/api/request.js";

// 新闻资讯
/**
 * @param {moduleId} 
 */
export function getNews(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/news/${params.moduleId}`,
        params
    })
}

// 社交媒体
/**
 * @param {moduleId} 
 */
export function getSocialMedia(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/remarks/${params.moduleId}`,
        params
    })
}

// 风险信号
/**
 * @param {moduleId} 
 */
export function getRiskSignal(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`,
        params
    })
}